> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/diagnostic/bgp-reset/{deviceId}

> Reset a BGP neighbor

## OpenAPI

````json PUT /v1/diagnostic/bgp-reset/{deviceId}
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/diagnostic/bgp-reset/{deviceId}": {
      "put": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "deviceId",
            "in": "path",
            "required": true,
            "description": "Unique identifier for a specific device",
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            },
            "example": 1000000
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1DiagnosticBgpResetDeviceIdPutRequest"
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "No Content"
          }
        },
        "description": "Reset a BGP neighbor"
      }
    }
  },
  "components": {
    "schemas": {
      "v1DiagnosticBgpResetDeviceIdPutRequest": {
        "type": "object",
        "properties": {
          "hard": {
            "type": "boolean",
            "example": true,
            "description": "BGP process restarts if set to true. if false, BGP route is only relearned"
          },
          "lanSegment": {
            "type": "string",
            "example": "isp",
            "description": "The segment over which this route is learned"
          },
          "localInterface": {
            "type": "string",
            "example": "GigabitEthernet0/0/1",
            "description": "The local interface over which this route is learned"
          },
          "neighbor": {
            "type": "string",
            "example": "1.1.1.1",
            "description": "The neighbor to reset"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

